summaryrefslogtreecommitdiff
path: root/init.d/newsyslog.in
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2008-03-25 14:06:05 +0000
committerRoy Marples <roy@marples.name>2008-03-25 14:06:05 +0000
commit55eb3794fb4ad563102d5ab30c1d5337a599b2e5 (patch)
tree0d052faeb050c1e18ba56f6f6189bff3ffca28c9 /init.d/newsyslog.in
parent08aff6ef44ac5dc438d916b53aa61385f6d299f3 (diff)
downloadopenrc-55eb3794fb4ad563102d5ab30c1d5337a599b2e5.tar.gz
openrc-55eb3794fb4ad563102d5ab30c1d5337a599b2e5.tar.bz2
openrc-55eb3794fb4ad563102d5ab30c1d5337a599b2e5.tar.xz
Rework our folder structure so that we don't have OS specific dirs, making it easier to share init and conf files per OS.
Diffstat (limited to 'init.d/newsyslog.in')
-rw-r--r--init.d/newsyslog.in18
1 files changed, 18 insertions, 0 deletions
diff --git a/init.d/newsyslog.in b/init.d/newsyslog.in
new file mode 100644
index 0000000..04ca792
--- /dev/null
+++ b/init.d/newsyslog.in
@@ -0,0 +1,18 @@
+#!@PREFIX@/sbin/runscript
+# Copyright 2007-2008 Roy Marples <roy@marples.name>
+# All rights reserved. Released under the 2-clause BSD license.
+
+required_files="/etc/newsyslog.conf"
+
+depend()
+{
+ need localmount
+ keyword noprefix
+}
+
+start()
+{
+ ebegin "Creating and/or trimming log files"
+ newsyslog -s ${newsyslog_args}
+ eend $?
+}